> ## Documentation Index
> Fetch the complete documentation index at: https://mcp-use.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://mcp-use.com/docs/feedback

```json
{
  "path": "/python/api-reference/mcp_use_server_utils_routes",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Routes

> Route handlers for the MCP server API Documentation

export const RandomGradientBackground = ({className, color, children, grayscaled = false}) => {
  const saturation = useMemo(() => {
    if (color) {
      const values = color.split("(")[1].split(")")[0].trim().split(/\s+/);
      return parseFloat(values[1] || "0");
    }
    return grayscaled ? 0 : 0.2;
  }, [color, grayscaled]);
  const lightness = useMemo(() => {
    if (color) {
      const values = color.split("(")[1].split(")")[0].trim().split(/\s+/);
      return parseFloat(values[0] || "0.5");
    }
    return grayscaled ? 0.3 : 0.4;
  }, [color, grayscaled]);
  const randomHue = useMemo(() => {
    if (color) {
      const values = color.split("(")[1].split(")")[0].trim().split(/\s+/);
      return parseFloat(values[2] || "0");
    }
    return Math.floor(Math.random() * 360);
  }, [color]);
  const randomColor = useMemo(() => {
    if (color) {
      return color;
    }
    return `oklch(${Math.min(lightness, 1)} ${saturation} ${randomHue})`;
  }, [randomHue, saturation, lightness]);
  const lightColor = useMemo(() => {
    return `oklch(${Math.min(lightness * 2, 1)} ${saturation} ${randomHue})`;
  }, [randomHue, saturation, lightness, color]);
  const direction = useMemo(() => {
    return Math.floor(Math.random() * 360);
  }, [randomHue]);
  const brightnessFilter = useMemo(() => {
    return "1000%";
  }, []);
  return <div className={`relative overflow-hidden ${className || ""}`} style={{
    background: `${lightColor}`,
    minHeight: '100%',
    width: '100%'
  }}>
      <div className="absolute inset-0 w-full h-full" style={{
    background: `linear-gradient(${direction}deg, ${randomColor}, transparent), url(https://grainy-gradients.vercel.app/noise.svg)`,
    filter: `contrast(120%) brightness(${brightnessFilter})`,
    backgroundSize: 'cover',
    backgroundRepeat: 'no-repeat'
  }} />
      {children && <div className="relative z-10 w-full h-full">{children}</div>}
    </div>;
};

<Callout type="info" title="Source Code">
  View the source code for this module on GitHub: <a href="https://github.com/mcp-use/mcp-use/blob/main/libraries/python/mcp_use/server/utils/routes.py" target="_blank" rel="noopener noreferrer">[https://github.com/mcp-use/mcp-use/blob/main/libraries/python/mcp\_use/server/utils/routes.py](https://github.com/mcp-use/mcp-use/blob/main/libraries/python/mcp_use/server/utils/routes.py)</a>
</Callout>

Route handlers for the MCP server.

## docs\_ui

<Card type="info">
  ### `function` docs\_ui

  Serve the docs UI.

  ```python theme={null}
  from mcp_use.server.utils.routes import docs_ui
  ```

  **Parameters**

  > <ParamField body="request" type="starlette.requests.Request" required="True">   Parameter value </ParamField>

  **Returns**

  >   <ResponseField name="returns" type="starlette.responses.HTMLResponse" />

  **Signature**

  ```python wrap theme={null}
  def docs_ui(request: starlette.requests.Request):
  ```
</Card>

## openmcp\_json

<Card type="info">
  ### `function` openmcp\_json

  Serve the OpenMCP JSON configuration.

  ```python theme={null}
  from mcp_use.server.utils.routes import openmcp_json
  ```

  **Parameters**

  > <ParamField body="request" type="starlette.requests.Request" required="True">   Parameter value </ParamField>
  > <ParamField body="server" required="True">   Server name or configuration </ParamField>

  **Signature**

  ```python wrap theme={null}
  def openmcp_json(request: starlette.requests.Request, server):
  ```
</Card>
